package cn.ezhizao.project.business.reportTax.service.impl;

import cn.ezhizao.project.business.reportTax.domain.BizFinancialReportTaxDetailReportNonZero;
import cn.ezhizao.project.business.reportTax.mapper.BizFinancialReportTaxDetailReportNonZeroMapper;
import cn.ezhizao.project.business.reportTax.service.IBizFinancialReportTaxDetailReportNonZeroService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */

@Service
public class BizFinancialReportTaxDetailReportNonZeroServiceImpl extends ServiceImpl<BizFinancialReportTaxDetailReportNonZeroMapper, BizFinancialReportTaxDetailReportNonZero> implements IBizFinancialReportTaxDetailReportNonZeroService {

    @Resource
    BizFinancialReportTaxDetailReportNonZeroMapper financialReportTaxDetailReportDao;

    @Override
    public List<BizFinancialReportTaxDetailReportNonZero> getList(Map<String,Object> conditions) {
        return financialReportTaxDetailReportDao.getList(conditions);
    }

    @Override
    public List<BizFinancialReportTaxDetailReportNonZero> getListId(Long id) {
        return null;
    }

    @Override
    public List<BizFinancialReportTaxDetailReportNonZero> getListByBean(BizFinancialReportTaxDetailReportNonZero financialReportTaxDetailReport) {
        return financialReportTaxDetailReportDao.getList(financialReportTaxDetailReport);
    }

    @Override
    public int getTotal(Map<String,Object> conditions) {
        return financialReportTaxDetailReportDao.getTotal(conditions);
    }

    @Override
    public Integer physicallyDelete(Map<String, Object> conditions) {
        return financialReportTaxDetailReportDao.physicallyDelete(conditions);
    }

}
